// This file is a part of the OpenSurgSim project.
// Copyright 2013, SimQuest Solutions Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef SURGSIM_MATH_MATH_H
#define SURGSIM_MATH_MATH_H

#include "SurgSim/Math/Aabb.h"
#include "SurgSim/Math/BoxShape.h"
#include "SurgSim/Math/CapsuleShape.h"
#include "SurgSim/Math/CardinalSplines.h"
#include "SurgSim/Math/CompoundShape.h"
#include "SurgSim/Math/CubicSolver.h"
#include "SurgSim/Math/CylinderShape.h"
#include "SurgSim/Math/DoubleSidedPlaneShape.h"
#include "SurgSim/Math/GaussLegendreQuadrature.h"
#include "SurgSim/Math/Geometry.h"
#include "SurgSim/Math/IntervalArithmetic.h"
#include "SurgSim/Math/KalmanFilter.h"
#include "SurgSim/Math/LinearMotionArithmetic.h"
#include "SurgSim/Math/LinearSolveAndInverse.h"
#include "SurgSim/Math/LinearSparseSolveAndInverse.h"
#include "SurgSim/Math/MathConvert.h"
#include "SurgSim/Math/Matrix.h"
#include "SurgSim/Math/MeshShape.h"
#include "SurgSim/Math/MinMax.h"
#include "SurgSim/Math/MlcpConstraintType.h"
#include "SurgSim/Math/MlcpConstraintTypeName.h"
#include "SurgSim/Math/MlcpGaussSeidelSolver.h"
#include "SurgSim/Math/MlcpProblem.h"
#include "SurgSim/Math/MlcpSolution.h"
#include "SurgSim/Math/MlcpSolver.h"
#include "SurgSim/Math/OctreeShape.h"
#include "SurgSim/Math/OdeEquation.h"
#include "SurgSim/Math/OdeSolver.h"
#include "SurgSim/Math/OdeSolverEulerExplicit.h"
#include "SurgSim/Math/OdeSolverEulerExplicitModified.h"
#include "SurgSim/Math/OdeSolverEulerImplicit.h"
#include "SurgSim/Math/OdeSolverLinearEulerExplicit.h"
#include "SurgSim/Math/OdeSolverLinearEulerExplicitModified.h"
#include "SurgSim/Math/OdeSolverLinearEulerImplicit.h"
#include "SurgSim/Math/OdeSolverLinearRungeKutta4.h"
#include "SurgSim/Math/OdeSolverLinearStatic.h"
#include "SurgSim/Math/OdeSolverRungeKutta4.h"
#include "SurgSim/Math/OdeSolverStatic.h"
#include "SurgSim/Math/OdeState.h"
#include "SurgSim/Math/ParticlesShape.h"
#include "SurgSim/Math/PlaneShape.h"
#include "SurgSim/Math/Polynomial.h"
#include "SurgSim/Math/PolynomialRoots.h"
#include "SurgSim/Math/PolynomialValues.h"
#include "SurgSim/Math/Quaternion.h"
#include "SurgSim/Math/RigidTransform.h"
#include "SurgSim/Math/Scalar.h"
#include "SurgSim/Math/SegmentMeshShape.h"
#include "SurgSim/Math/SegmentMeshShapePlyReaderDelegate.h"
#include "SurgSim/Math/Shape.h"
#include "SurgSim/Math/Shapes.h"
#include "SurgSim/Math/SparseMatrix.h"
#include "SurgSim/Math/SphereShape.h"
#include "SurgSim/Math/SurfaceMeshShape.h"
#include "SurgSim/Math/Valid.h"
#include "SurgSim/Math/Vector.h"


#endif // SURGSIM_MATH_MATH_H


