# - Config file for the OpenSurgSim package
# It defines the following variables
#  OPENSURGSIM_INCLUDE_DIRS - include directories
#  OPENSURGSIM_LIBRARIES    - libraries to link against
#  OPENSURGSIM_DATA_DIR		- directory to use for default data

# Compute paths
get_filename_component(OPENSURGSIM_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(OPENSURGSIM_INCLUDE_DIRS "${OPENSURGSIM_CMAKE_DIR}/../../../include")

# Our library dependencies (contains definitions for IMPORTED targets)
include("${OPENSURGSIM_CMAKE_DIR}/OpenSurgSimTargets.cmake")

# These are IMPORTED targets created by OpenSurgSimTargets.cmake
set(OPENSURGSIM_LIBRARIES "SurgSimPhysics;SurgSimParticles;SurgSimMath;SurgSimInput;SurgSimGraphics;SurgSimFramework;SurgSimDevices;MultiAxisDevice;ReplayPoseDevice;MouseDevice;KeyboardDevice;IdentityPoseDevice;SurgSimDeviceFilters;SurgSimDataStructures;SurgSimCollision;SurgSimBlocks")

# This is the default data directory
set(OPENSURGSIM_DATA_DIR "${OPENSURGSIM_CMAKE_DIR}/../../../share/OpenSurgSim")
